Package org.eclipse.cdt.core.dom.ast

## Interface IASTCompletionContext

All Known Subinterfaces:
  `ICPPASTCompletionContext`

    public interface IASTCompletionContext

Interface for a code completion's context. Used for context-sensitive finding of bindings with a certain name or prefix.

Since:
  4.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IBinding[]` `findBindings​(IASTName n, boolean isPrefix)` Returns bindings that start with the given name or prefix, only considering those that are valid for this context.

### Method Detail

#### findBindings

    IBinding[] findBindings​(IASTName n,
                            boolean isPrefix)

Returns bindings that start with the given name or prefix, only considering those that are valid for this context.

Parameters:
  `n` - the name containing a prefix
Returns:
  valid bindings in this context for the given prefix